package zero1hd.polyjet.ui.windows;

import com.badlogic.gdx.scenes.scene2d.ui.Label;
import com.badlogic.gdx.scenes.scene2d.ui.Skin;
import com.badlogic.gdx.scenes.scene2d.ui.TextButton;
import com.badlogic.gdx.scenes.scene2d.ui.Window;
import com.badlogic.gdx.scenes.scene2d.utils.ChangeListener;
import com.badlogic.gdx.utils.Align;

public class NoticeWindow extends Window {
	private Label noticeText;
	private TextButton finalButton;
	private Skin skin;
	
	public NoticeWindow(Skin skin, String styleName, String text) {
		super("Notice", skin);
		this.skin = skin;
		debug();
		
		noticeText = new Label(text, skin);
		noticeText.setWrap(true);
		noticeText.setAlignment(Align.center);
		add(noticeText).expandX().fill().center().padLeft(20f).padRight(20f);
	}
	
	public void setupButton(String text, ChangeListener changeListener) {
		finalButton = new TextButton(text, skin, "sub-font");
		finalButton.addListener(changeListener);
		add(finalButton);
	}
}
